methods:
  post:
    - editpassword_password
    - editpassword_newpassword
    - editpassword_confirmpassword

fillin:
  enabled: false

names:
  editpassword_password:
    required:     true
    required_msg: mot de passe obligatoire
    validators:   [ MyPasswordValidator ]

  editpassword_newpassword:
    required:     true
    required_msg: mot de passe obligatoire
    validators:   [ MyStringValidator ]

  editpassword_confirmpassword:
    required:     true
    required_msg: mot de passe obligatoire
    validators:   [ MyConfirmPasswordValidator ]

MyPasswordValidator:
    class:         MyPasswordValidator
    param:
      password_error: le mot de passe entr&eacute; ne correpond pas &agrave; votre mot de passe actuel    
      
MyStringValidator:
    class:         sfStringValidator
    param:
      min:         6
      min_error:   6 caract&eacute;res minimum

MyConfirmPasswordValidator:
    class:         sfCompareValidator
    param:
      check:         editpassword_newpassword
      compare_error: les deux mots de passe ne correspondent pas      